> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-terraform-v2-owner-resources.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get returns a tool gate by ID.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/tool_gates/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/tool_gates/{id}:
    get:
      tags:
        - Tool Gates
      summary: Get
      description: Get returns a tool gate by ID.
      operationId: c1.api.ai_governance.v1.ToolGatesService.Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.ToolGatesServiceGetResponse
          description: Successful response
components:
  schemas:
    c1.api.ai_governance.v1.ToolGatesServiceGetResponse:
      description: The ToolGatesServiceGetResponse message.
      properties:
        toolGate:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.ToolGate'
            - type: 'null'
      title: Tool Gates Service Get Response
      type: object
      x-speakeasy-name-override: ToolGatesServiceGetResponse
    c1.api.ai_governance.v1.ToolGate:
      description: The ToolGate message.
      properties:
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        enabled:
          description: The enabled field.
          type: boolean
        filter:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.ToolGateFilter'
            - type: 'null'
        grantPolicyId:
          description: The grantPolicyId field.
          type: string
        id:
          description: The id field.
          type: string
        managedByGuardrails:
          description: The managedByGuardrails field.
          type: boolean
        priority:
          description: The priority field.
          format: int32
          type: integer
        tenantId:
          description: The tenantId field.
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Tool Gate
      type: object
      x-speakeasy-name-override: ToolGate
    c1.api.ai_governance.v1.ToolGateFilter:
      description: The ToolGateFilter message.
      properties:
        builtInPattern:
          description: |-
            Built-in pattern selector: a named canned CEL filter maintained by
             ConductorOne. When set, cel_expression must be empty and is resolved from
             the registry at create time; the kind is retained for provenance.
          enum:
            - TOOL_GATE_BUILT_IN_PATTERN_UNSPECIFIED
            - TOOL_GATE_BUILT_IN_PATTERN_DESTRUCTIVE_ACTION
            - TOOL_GATE_BUILT_IN_PATTERN_EXTERNAL_SEND
            - TOOL_GATE_BUILT_IN_PATTERN_THIRD_PARTY_CONNECTOR
            - TOOL_GATE_BUILT_IN_PATTERN_FINANCE_ACTION
            - TOOL_GATE_BUILT_IN_PATTERN_INFRA_MUTATION
            - TOOL_GATE_BUILT_IN_PATTERN_DB_WRITE
          type: string
          x-speakeasy-unknown-values: allow
        celExpression:
          description: The celExpression field.
          type: string
      title: Tool Gate Filter
      type: object
      x-speakeasy-name-override: ToolGateFilter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````